<!-- horizontal align editor -->
<template>
    <div>
        <span>
            <v-btn-toggle v-model="val">
                <v-btn height="24px" @click="lclick" :value="-1">
                    <v-icon>mdi-format-horizontal-align-left</v-icon>
                </v-btn>
                <v-btn height="24px" @click="cclick" :value="0">
                    <v-icon>mdi-format-horizontal-align-center</v-icon>
                </v-btn>
                <v-btn height="24px" @click="rclick" :value="1">
                    <v-icon>mdi-format-horizontal-align-right</v-icon>
                </v-btn>
            </v-btn-toggle>    
        </span>
    </div>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
    props: {
        value: {
            type: Number,  // -1=left, 0=center, 1=right
            required: true
        },
    },

    computed: {
        val: {
            get: function(): number { return this.value; },
            set: function(): void   { /* ignore */       }
        }
    },

    methods: {
        lclick(): void { this.$emit("input", -1); },
        cclick(): void { this.$emit("input", 0); },
        rclick(): void { this.$emit("input", 1); },
    }
});
</script>

<style scoped>
.w100 {
    width: 100px;
}

</style>
